'use strict';

var _argument = require('./argument');

var _option = require('./option');

var _cli = require('./cli');

var _cli2 = _interopRequireDefault(_cli);

var _command = require('./command');

var _command2 = _interopRequireDefault(_command);

var _loader = require('./loader');

var _loader2 = _interopRequireDefault(_loader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Ordre = {
  ARG_REQUIRED: _argument.ARG_REQUIRED,
  ARG_OPTIONAL: _argument.ARG_OPTIONAL,
  ARG_ARRAY: _argument.ARG_ARRAY,

  OPT_REQUIRED: _option.OPT_REQUIRED,
  OPT_OPTIONAL: _option.OPT_OPTIONAL,
  OPT_ARRAY: _option.OPT_ARRAY,
  OPT_EMPTY: _option.OPT_EMPTY,

  /** @type {CLI} CLI */
  CLI: _cli2.default,

  /** @type {Command} Command */
  Command: _command2.default,

  /** @type {Loader} Loader */
  Loader: _loader2.default
};

Ordre.default = Ordre;

module.exports = Ordre;